Skip to main content
GET
/
squad
/
{id}
/
lineup
Get squad lineup
curl --request GET \
  --url https://sandbox.api.fantasyfutbol.app/v1/squad/{id}/lineup \
  --header 'x-api-key: <api-key>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": 123,
      "external_id": "<string>",
      "display_name": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "game_week": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "week": "<string>",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "next_game_week": "<string>",
      "previous_game_week": "<string>"
    },
    "squad": {
      "bench": [
        {
          "team": {
            "id": 123,
            "name": "<string>",
            "abbrevation": "<string>"
          },
          "player": {
            "id": "<string>",
            "last_name": "<string>",
            "first_name": "<string>"
          },
          "position": {
            "id": 123,
            "position": "<string>",
            "abbrevation": "<string>"
          },
          "breakdown": {},
          "is_starting": true,
          "is_captain": true,
          "is_vice_captain": true,
          "points": 123
        }
      ],
      "starting_xi": [
        {
          "team": {
            "id": 123,
            "name": "<string>",
            "abbrevation": "<string>"
          },
          "player": {
            "id": "<string>",
            "last_name": "<string>",
            "first_name": "<string>"
          },
          "position": {
            "id": 123,
            "position": "<string>",
            "abbrevation": "<string>"
          },
          "breakdown": {},
          "is_starting": true,
          "is_captain": true,
          "is_vice_captain": true,
          "points": 123
        }
      ]
    },
    "transfer_hits": {
      "hits": 123,
      "points_deduction": 123
    },
    "chip_selected": {},
    "chips": [
      {
        "id": 123,
        "chip": "<string>",
        "is_available": true,
        "date_activated": "2023-11-07T05:31:56Z",
        "game_week_played": "<string>"
      }
    ],
    "total_points": 123
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Query Parameters

game_week_id
string<uuid>

Response

Squad lineup retrieved

statusCode
integer
required
message
string
required
data
object
required